#!/usr/bin/env python
# -*- coding: UTF-8 -*-
import os
import report

from remotes import yamaha_ras5 as amplifier
from remotes import technics_eur642100 as cd_player

__BASEPATH__ = os.path.abspath(os.path.dirname(__file__))

MQTT_SERVER = "<mqtt_smarthome_hostname>"
MQTT_USER = "<mqtt_smarthome_username>"
MQTT_PASS = "<mqtt_smarthome_password>"
MQTT_TOPIC = "<mqtt_remote_topic>"

SUPPORTED_REMOTES = {
    amplifier.NAME: amplifier.ALL,
    cd_player.NAME: cd_player.ALL
}

#
# Logging
#
APP_NAME = "remote_control"
LOGTARGET = 'stdout'   # possible choices are: 'logfile' or 'stdout'
LOGLVL = 'INFO'

LOGHOST = 'cutelog'
LOGPORT = 19996

formatter = report.SHORT_FMT
